### Class

# AppStream Launchable

#### Description

    class AppStream.Launchable : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_launchable_new

Creates a new `AsLaunchable`.

since: 0.11.0

#### Instance methods

###### as_launchable_add_entry

Add a new launchable entry.

since: 0.11.0

###### as_launchable_get_entries

Get an array of launchable entries.

since: 0.11.0

###### as_launchable_get_kind

The launch system for the entries this `AsLaunchable` object stores.

since: 0.11.0

###### as_launchable_set_kind

Set the launch system for the entries this `AsLaunchable` object stores.

since: 0.11.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamLaunchableClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.